org.richfaces.skin

## Class SkinFactoryImpl

- java.lang.Object
- - org.richfaces.skin.SkinFactory
  - - org.richfaces.skin.AbstractSkinFactory
    - - org.richfaces.skin.SkinFactoryImpl

-     public class SkinFactoryImpl
      extends AbstractSkinFactory

  Implementation of `SkinFactory` with building skins from properties files.
  Author:
    shura

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Skin` | `getBaseSkin(javax.faces.context.FacesContext context)` Get base `Skin` implementation
    `Skin` | `getDefaultSkin(javax.faces.context.FacesContext context)` Get default `Skin` implementation.
    `Skin` | `getSkin(javax.faces.context.FacesContext context)` Get current `Skin` implementation.
    `protected Skin` | `getSkinOrName(javax.faces.context.FacesContext context, boolean useBase)` Calculate name for current skin.
    `Theme` | `getTheme(javax.faces.context.FacesContext facesContext, String name)`

    - ### Methods inherited from class org.richfaces.skin.AbstractSkinFactory

      `buildSkin, getSkin, loadProperties, processProperties`

    - ### Methods inherited from class org.richfaces.skin.SkinFactory

      `getInstance, getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinFactoryImpl

          public SkinFactoryImpl()

  - ### Method Detail

    - #### getDefaultSkin

          public Skin getDefaultSkin(javax.faces.context.FacesContext context)

      Description copied from class: `SkinFactory`
      Get default `Skin` implementation.
      Specified by:
        `getDefaultSkin` in class `SkinFactory`
      Returns:

    - #### getSkin

          public Skin getSkin(javax.faces.context.FacesContext context)

      Description copied from class: `SkinFactory`
      Get current `Skin` implementation.
      Specified by:
        `getSkin` in class `SkinFactory`
      Returns:

    - #### getBaseSkin

          public Skin getBaseSkin(javax.faces.context.FacesContext context)

      Description copied from class: `SkinFactory`
      Get base `Skin` implementation
      Specified by:
        `getBaseSkin` in class `SkinFactory`
      Returns:

    - #### getSkinOrName

          protected Skin getSkinOrName(javax.faces.context.FacesContext context,
                           boolean useBase)

      Calculate name for current skin. For EL init parameter store value binding for speed calculations.
      Parameters:
        `context` -
        `useBase` -
      Returns:
        name of currens skin from init parameter ( "DEFAULT" if no parameter ) or `Skin` as result of evaluation EL expression.

    - #### getTheme

          public Theme getTheme(javax.faces.context.FacesContext facesContext,
                       String name)

      Specified by:
        `getTheme` in class `SkinFactory`
      Returns:

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.